#!/usr/bin/python
import time
import RPi.GPIO as GPIO

# GPIO OUTPUT: LED TEST

#Setup Pins---assign pin numbers to names
LED_G = 4
LED_R = 27
LED_Y = 17

# create a list of pin names for later use
LEDs = [LED_G, LED_Y, LED_R]

#Setup Active states
#Common Cathode RGY-LEDs (Cathode=Active Low)
LED_ENABLE = 0  #active low
LED_DISABLE = 1

def led_setup():
  GPIO.setmode(GPIO.BCM)  # use BCM numbers
  #GPIO.setmode(GPIO.BOARD)  to use board numbers
  #Set the pin directions
  for val in LEDs:
    GPIO.setup(val, GPIO.OUT)

def led_activate(led):
  GPIO.output(led,LED_ENABLE)
  #equivalent to GPIO.output(pin#, 0), ex: GPIO.output(27, 0)

def led_deactivate(led):
  GPIO.output(led,LED_DISABLE)
  #equivalent to GPIO.output(pin#, 1), ex: GPIO.output(27, 1)

def led_clear():
  for val in LEDs:
    GPIO.output(val, LED_DISABLE)

def main():
  led_setup()
  led_clear()
  for val in LEDs:
    led_activate(val)
  time.sleep(5)
  for val in LEDs:
    led_deactivate(val)
  led_clear()
  GPIO.cleanup()

main()
#End
